Support » Plugin: Flying Pages by WP Speed Matters » Don’t use Arrow functions ()=>

  • Resolved kubiq

    (@kubiq)


    Hello, very good plugin, but please, don’t use Arrow functions () => as it is not compatible with all major browsers.
    Internet Explorer – unfortunately still one of the most used browsers – doesn’t support it and it cause JS errors and crashes. Or you should use some browsers detection mechanism and disable it completely for IE, but you can not leave it like this.

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author Gijo Varghese

    (@gijo)

    @kubiq Thanks for the feedback.

    Even if we remove arrow functions, supporting Internet Explorer is tough. It doesn’t support IntersectionObserver and a few other features. Preloading on hover might work though.

    I’ll definitely consider this in the next update

    thanks 😉
    or simply wrap some parts of code or functions in condition if it’s IE

    function isIE(){
    	return navigator.userAgent.indexOf('MSIE ') > -1 || navigator.userAgent.indexOf('Trident/') > -1;
    }
    Plugin Author Gijo Varghese

    (@gijo)

    @kubiq There are many functions that can’t be used in IE and wrapping everything with if(isIE()) will make the code bloated and less readable. I would prefer to stop the entire script if it’s IE.

    Ok, no problem 😉

    Plugin Author Gijo Varghese

    (@gijo)

    Fixed in v2.0.9!

    Thank you very much 😉

Viewing 6 replies - 1 through 6 (of 6 total)
  • You must be logged in to reply to this topic.